<?php
/**
 * This is the main/default page template for the "bootstrap_blog" skin.
 *
 * This skin only uses one single template which includes most of its features.
 * It will also rely on default includes for specific dispays (like the comment form).
 *
 * For a quick explanation of b2evo 2.0 skins, please start here:
 * {@link http://b2evolution.net/man/skin-development-primer}
 *
 * The main page template is used to display the blog when no specific page template is available
 * to handle the request (based on $disp).
 *
 * @package evoskins
 * @subpackage bootstrap_blog
 */
if( ! defined('EVO_MAIN_INIT') ) die( 'Please, do not access this page directly.' );

if( version_compare( $app_version, '6.4' ) < 0 )
{	// Older skins (versions 2.x and above) should work on newer b2evo versions, but newer skins may not work on older b2evo versions.
	die( 'This skin is designed for b2evolution 6.4 and above. Please <a href="http://b2evolution.net/downloads/index.html">upgrade your b2evolution</a>.' );
}

// This is the main template; it may be used to display very different things.
// Do inits depending on current $disp:
skin_init( $disp );


// -------------------------- HTML HEADER INCLUDED HERE --------------------------
skin_include( '_html_header.inc.php', array() );
// -------------------------------- END OF HEADER --------------------------------
// ---------------------------- SITE HEADER INCLUDED HERE ----------------------------
// If site headers are enabled, they will be included here:
siteskin_include( '_site_body_header.inc.php' );
// ------------------------------- END OF SITE HEADER --------------------------------
?>

<div class="main">

	<div class="container">
		<div class="masterhead">
			<header class="row">

			<?php
			// ------------------------- "Header" CONTAINER EMBEDDED HERE --------------------------
			// Display container and contents:
			widget_container( 'header', array(
					// The following params will be used as defaults for widgets included in this container:
					'container_display_if_empty' => false, // If no widget, don't display container at all
					'container_start' => '<div class="coll-xs-12 col-sm-12 col-md-8"><div class="evo_container $wico_class$">',
					'container_end'   => '</div></div>',
					'block_start' => '<div class="evo_widget $wi_class$">',
					'block_end' => '</div>',
					'block_title_start' => '<h1>',
					'block_title_end' => '</h1>',
			) );
			// ----------------------------- END OF "Header" CONTAINER -----------------------------
			?>

			<?php
			// ------------------------- "Page Top" CONTAINER EMBEDDED HERE --------------------------
			// Display container and contents:
			widget_container( 'page_top', array(
					// The following params will be used as defaults for widgets included in this container:
					'container_display_if_empty' => false, // If no widget, don't display container at all
					'container_start' => '<div class="coll-xs-12 coll-sm-12 col-md-4"><div class="evo_container $wico_class$">',
					'container_end'   => '</div></div>',
					'block_start' => '<div class="evo_widget $wi_class$">',
					'block_end' => '</div>',
					'block_display_title' => false,
					'list_start' => '<ul>',
					'list_end' => '</ul>',
					'item_start' => '<li>',
					'item_end' => '</li>',
			) );
			// ----------------------------- END OF "Page Top" CONTAINER -----------------------------
			?>

			</header>
		</div>

		<?php
		// ------------------------- "Menu" CONTAINER EMBEDDED HERE --------------------------
		// Display container and contents:
		// Note: this container is designed to be a single <ul> list
		widget_container( 'menu', array(
				// The following params will be used as defaults for widgets included in this container:
				'container_display_if_empty' => false, // If no widget, don't display container at all
				'container_start'            => '<nav class="row"><div class="col-md-12"><ul class="nav color-hover circle-svg-a evo_container $wico_class$">',
				'container_end'              => '</ul></div></nav>',
				'block_start'                => '',
				'block_end'                  => '',
				'block_display_title'        => false,
				'list_start'                 => '',
				'list_end'                   => '',
				'item_start'                 => '<li class="evo_widget $wi_class$">',
				'item_end'                   => '</li>',
				'item_selected_start'        => '<li class="active evo_widget $wi_class$">',
				'item_selected_end'          => '</li>',
				'item_title_before'          => '',
				'item_title_after'           => '',
			) );
		// ----------------------------- END OF "Menu" CONTAINER -----------------------------
		?>

		<!-- =================================== START OF MAIN AREA =================================== -->
		<div class="row">
			<div class="content evo_content_block
				<?php
				echo ( $Skin->get_setting( 'layout' ) == 'single_column' ? 'col-md-12' : 'col-md-9' );
				echo ( $Skin->get_setting( 'layout' ) == 'left_sidebar' ? ' pull-right' : '' );
				?>">

				<?php
				if( ! in_array( $disp, array( 'login', 'lostpassword', 'register', 'activateinfo', 'access_requires_login' ) ) )
				{	// Don't display the messages here because they are displayed inside wrapper to have the same width as form
					// ------------------------- MESSAGES GENERATED FROM ACTIONS -------------------------
					messages( array(
							'block_start' => '<div class="action_messages">',
							'block_end'   => '</div>',
					 ) );
					// --------------------------------- END OF MESSAGES ---------------------------------
				}
				?>

				<?php
				// ------------------------ TITLE FOR THE CURRENT REQUEST ------------------------
				request_title( array(
						'title_before'       => '<h2 class="title">',
						'title_after'        => '</h2>',
						'title_none'         => '',
						'glue'               => ' - ',
						'title_single_disp'  => false,
						'title_page_disp'    => false,
						'format'             => 'htmlbody',
						'register_text'      => '',
						'login_text'         => '',
						'lostpassword_text'  => '',
						'account_activation' => '',
						'msgform_text'       => '',
						'user_text'          => '',
						'users_text'         => '',
					) );
				// ----------------------------- END OF REQUEST TITLE ----------------------------
				?>

				<?php
				// Go Grab the featured post:
				if( $Item = & get_featured_Item() )
				{	// We have a featured/intro post to display:
					// ---------------------- ITEM BLOCK INCLUDED HERE ------------------------
					skin_include( '_item_block.inc.php', array(
							'feature_block' => true,
							'content_mode'  => 'full', // We want regular "full" content, even in category browsing: i-e no excerpt or thumbnail
							'intro_mode'    => 'normal',	// Intro posts will be displayed in normal mode
							'item_class'    => 'featured_post',
						) );
					// ----------------------------END ITEM BLOCK  ----------------------------
				}
				?>

				<?php
				if( $disp != 'front' && $disp != 'download' && $disp != 'search' )
				{
					// ------------------------- "Item List" CONTAINER EMBEDDED HERE --------------------------
					// Display container contents:
					widget_container( 'item_list', array(
						// The following (optional) params will be used as defaults for widgets included in this container:
						'container_display_if_empty' => false, // If no widget, don't display container at all
						// This will enclose each widget in a block:
						'block_start' => '<div class="evo_widget $wi_class$">',
						'block_end' => '</div>',
						// This will enclose the title of each widget:
						'block_title_start' => '<h3>',
						'block_title_end'   => '</h3>',
						// Template params for "Item List Pages" widget:
						'widget_coll_item_list_pages_params' => array(
								'block_start'              => '<div class="center"><ul class="pagination">',
								'block_end'                => '</ul></div>',
								'page_current_template'    => '<span class="current">$page_num$</span>',
								'page_item_before'         => '<li>',
								'page_item_after'          => '</li>',
								'page_item_current_before' => '<li class="active">',
								'page_item_current_after'  => '</li>',
								'prev_text'                => '<i class="fa fa-angle-left"></i>',
								'next_text'                => '<i class="fa fa-angle-right"></i>',
							),
					) );
					// ----------------------------- END OF "Item List" CONTAINER -----------------------------
					?>

					<?php
					// --------------------------------- START OF POSTS -------------------------------------
					// Display message if no post:
					display_if_empty();

					while( $Item = & mainlist_get_item() )
					{	// For each blog post, do everything below up to the closing curly brace "}"
						// ---------------------- ITEM BLOCK INCLUDED HERE ------------------------
						skin_include( '_item_block.inc.php', array(
								'content_mode' => 'auto', // 'auto' will auto select depending on $disp-detail
							) );
						// ----------------------------END ITEM BLOCK  ----------------------------
					}
					// ---------------------------------- END OF POSTS ------------------------------------
					?>

					<?php
					// -------------------- PREV/NEXT PAGE LINKS (POST LIST MODE) --------------------
					mainlist_page_links( array(
							'block_start'             => '<div class="center"><ul class="pagination">',
							'block_end'               => '</ul></div>',
							'page_current_template'   => '<span class="current">$page_num$</span>',
							'page_item_before'        => '<li>',
							'page_item_after'         => '</li>','page_item_current_before' => '<li class="active">',
							'page_item_current_after' => '</li>',
							'prev_text'               => '<i class="fa fa-angle-left"></i>',
							'next_text'               => '<i class="fa fa-angle-right"></i>',
						) );
					// ------------------------- END OF PREV/NEXT PAGE LINKS -------------------------
				}
				?>

				<?php
				// -------------- MAIN CONTENT TEMPLATE INCLUDED HERE (Based on $disp) --------------
				skin_include( '$disp$', array(
						'disp_posts'       => '', // We already handled this case above
						'disp_single'      => '', // We already handled this case above
						'disp_page'        => '', // We already handled this case above
						'disp_front'       => '_front.disp.php',
						'author_link_text' => 'preferredname',
						// Profile tabs to switch between user edit forms
						'profile_tabs' => array(
								'block_start'         => '<nav><ul class="nav nav-tabs profile_tabs">',
								'item_start'          => '<li>',
								'item_end'            => '</li>',
								'item_selected_start' => '<li class="active">',
								'item_selected_end'   => '</li>',
								'block_end'           => '</ul></nav>',
							),
						// Pagination
						'pagination' => array(
								'block_start'             => '<div class="center"><ul class="pagination">',
								'block_end'               => '</ul></div>',
								'page_current_template'   => '<span><b>$page_num$</b></span>',
								'page_item_before'        => '<li>',
								'page_item_after'         => '</li>','page_item_current_before' => '<li class="active">',
								'page_item_current_after' => '</li>',
								'prev_text'               => '<i class="fa fa-angle-left"></i>',
								'next_text'               => '<i class="fa fa-angle-right"></i>',
							),
						// Form params for the forms below: login, register, lostpassword, activateinfo and msgform
						'skin_form_before' => '<div class="panel panel-default skin-form">'
								. '<div class="panel-heading">'
								. '<h3 class="panel-title">$form_title$</h3>'
								. '</div>'
								. '<div class="panel-body">',
						'skin_form_after'  => '</div></div>',
						// Login
						'display_form_messages' => true,
						'form_title_login'      => T_('Log in to your account') . '$form_links$',
						'form_title_lostpass'   => get_request_title() . '$form_links$',
						'lostpass_page_class'   => 'evo_panel__lostpass',
						'login_form_inskin'     => false,
						'login_page_class'      => 'evo_panel__login',
						'login_page_before'     => '<div class="$form_class$">',
						'login_page_after'      => '</div>',
						'display_reg_link'      => true,
						'abort_link_position'   => 'form_title',
						'abort_link_text'       => '<button type="button" class="close" aria-label="Close"><span aria-hidden="true">&times;</span></button>',
						// Register
						'register_page_before'          => '<div class="evo_panel__register">',
						'register_page_after'           => '</div>',
						'register_form_title'           => T_('Register'),
						'register_links_attrs'          => '',
						'register_use_placeholders'     => true,
						'register_field_width'          => 252,
						'register_disabled_page_before' => '<div class="evo_panel__register register-disabled">',
						'register_disabled_page_after'  => '</div>',
						// Activate form
						'activate_form_title'  => T_('Account activation'),
						'activate_page_before' => '<div class="evo_panel__activation">',
						'activate_page_after'  => '</div>',
						// Search
						'search_input_before'  => '<div class="input-group">',
						'search_input_after'   => '',
						'search_submit_before' => '<span class="input-group-btn">',
						'search_submit_after'  => '</span></div>',
						// Comment template
						'comment_start'         => '<div class="evo_comment panel panel-default">',
						'comment_end'           => '</div>',
						'comment_post_before'   => '<span class="panel-title in-response">',
						'comment_post_after'    => '</span>',
						'comment_title_before'  => '<div class="panel-heading">',
						'comment_title_after'   => '<div class="clearfix"></div></div><div class="panel-body">',
						'comment_avatar_before' => '<div class="evo_comment_avatar">',
						'comment_avatar_after'  => '</div>',
						'comment_rating_before' => '<div class="evo_comment_rating">',
						'comment_rating_after'  => '</div>',
						'comment_text_before'   => '<div class="evo_comment_text">',
						'comment_text_after'    => '</div>',
						'comment_info_before'   => '<div class="evo_comment_footer clear text-muted"><small>',
						'comment_info_after'    => '</small></div></div>',
						'comment_attach_info'   => get_icon( 'help', 'imgtag', array(
								'data-toggle'    => 'tooltip',
								'data-placement' => 'bottom',
								'data-html'      => 'true',
								'title'          => htmlspecialchars( get_upload_restriction( array(
										'block_after'     => '',
										'block_separator' => '<br /><br />') ) )
							) ),
						// Front page
						'featured_intro_before' => '<div class="jumbotron">',
						'featured_intro_after'  => '</div>',
						// Form "Sending a message"
						'msgform_form_title' => T_('Sending a message'),
					) );
				// Note: you can customize any of the sub templates included here by
				// copying the matching php file into your skin directory.
				// ------------------------- END OF MAIN CONTENT TEMPLATE ---------------------------
				?>
			</div>


			<!-- =================================== START OF SIDEBAR =================================== -->
			<?php
			if( $Skin->get_setting( 'layout' ) != 'single_column' )
			{
			?>
				<aside class="col-md-3<?php echo ( $Skin->get_setting( 'layout' ) == 'left_sidebar' ? ' pull-left' : '' ); ?>">
				<?php
				// ------------------------- "Sidebar" CONTAINER EMBEDDED HERE --------------------------
				// Display container contents:
				widget_container( 'sidebar', array(
						// The following (optional) params will be used as defaults for widgets included in this container:
						'container_display_if_empty' => false, // If no widget, don't display container at all
						'container_start'            => '<div class="content panel-group evo_container $wico_class$">',
						'container_end'              => '</div>',
						// This will enclose each widget in a block:
						'block_start' => '<div class="panel panel-default evo_widget $wi_class$">',
						'block_end'   => '</div>',
						// This will enclose the title of each widget:
						'block_title_start' => '<div class="panel-heading circle-svg-a">'
								. '<a onClick="return false;" class="panel-toggle" data-toggle="collapse" data-target=".pcollapse-0" href="#">'
								. '<span class="panel-icon"><i class="fa fa-angle-down"></i></span></a>'
								. '<span class="panel-title">',
						'block_title_end'   => '</span></div>',
						// This will enclose the body of each widget:
						'block_body_start' => '<div class="panel-collapse"><div class="panel-body">',
						'block_body_end'   => '</div></div>',
						// If a widget displays a list, this will enclose that list:
						'list_start' => '<ul>',
						'list_end'   => '</ul>',
						// This will enclose each item in a list:
						'item_start' => '<li>',
						'item_end'   => '</li>',
						// This will enclose sub-lists in a list:
						'group_start' => '<ul>',
						'group_end'   => '</ul>',
						// This will enclose (foot)notes:
						'notes_start' => '<div class="notes">',
						'notes_end'   => '</div>',
						// Widget 'Search form':
						'search_class'         => 'compact_search_form',
						'search_input_before'  => '<div class="input-group">',
						'search_input_after'   => '',
						'search_submit_before' => '<span class="input-group-btn">',
						'search_submit_after'  => '</span></div>',
					) );
				// ----------------------------- END OF "Sidebar" CONTAINER -----------------------------
				?>

				<?php
				// ------------------------- "Sidebar 2" CONTAINER EMBEDDED HERE --------------------------
				// Display container contents:
				widget_container( 'sidebar_2', array(
						// The following (optional) params will be used as defaults for widgets included in this container:
						'container_display_if_empty' => false, // If no widget, don't display container at all
						'container_start'            => '<div class="content panel-group evo_container $wico_class$">',
						'container_end'              => '</div>',
						// This will enclose each widget in a block:
						'block_start' => '<div class="panel panel-default evo_widget $wi_class$">',
						'block_end'  => '</div>',
						// This will enclose the title of each widget:
						'block_title_start' => '<div class="panel-heading circle-svg-a">'
								. '<a onClick="return false;" class="panel-toggle" data-toggle="collapse" data-target=".pcollapse-0" href="#">'
								. '<span class="panel-icon"><i class="fa fa-angle-down"></i></span></a>'
								. '<span class="panel-title">',
						'block_title_end'   => '</span></div>',
						// This will enclose the body of each widget:
						'block_body_start' => '<div class="panel-collapse"><div class="panel-body">',
						'block_body_end'   => '</div></div>',
						// If a widget displays a list, this will enclose that list:
						'list_start' => '<ul>',
						'list_end'   => '</ul>',
						// This will enclose each item in a list:
						'item_start' => '<li>',
						'item_end'   => '</li>',
						// This will enclose sub-lists in a list:
						'group_start' => '<ul>',
						'group_end'   => '</ul>',
						// This will enclose (foot)notes:
						'notes_start' => '<div class="notes">',
						'notes_end'   => '</div>',
						// Widget 'Search form':
						'search_class' => 'compact_search_form',
						'search_input_before'  => '<div class="input-group">',
						'search_input_after'   => '',
						'search_submit_before' => '<span class="input-group-btn">',
						'search_submit_after'  => '</span></div>',
					) );
				// ----------------------------- END OF "Sidebar 2" CONTAINER -----------------------------
				?>
				</aside><!-- .col -->
			<?php
			}
			?>

			</div><!-- .row -->

		<footer class="row">
		<!-- =================================== START OF FOOTER =================================== -->
			<div class="col-md-12 center content">
				<?php
				// ------------------------- "Footer" CONTAINER EMBEDDED HERE --------------------------
				widget_container( 'footer', array(
						// The following params will be used as defaults for widgets included in this container:
						'container_display_if_empty' => false, // If no widget, don't display container at all
						'container_start'            => '<div class="evo_container $wico_class$">',
						'container_end'              => '</div>',
						'block_start'                => '<div class="evo_widget $wi_class$">',
						'block_end'                  => '</div>',
					) );
				// ----------------------------- END OF "Footer" CONTAINER -----------------------------
				?>

				<p class="footer_paragraph">
				<?php
				// Display footer text (text can be edited in Blog Settings):
				$Blog->footer_text( array(
						'before' => '',
						'after'  => ' &bull; ',
					) );
				?>

				<?php
				// Display a link to contact the owner of this blog (if owner accepts messages):
				$Blog->contact_link( array(
						'before' => '',
						'after'  => ' &bull; ',
						'text'   => T_('Contact'),
						'title'  => T_('Send a message to the owner of this blog...'),
					) );
				// Display a link to help page:
				$Blog->help_link( array(
						'before' => ' ',
						'after'  => ' ',
						'text'   => T_('Help'),
					) );
				?>

				<?php
				// Display additional credits:
				// If you can add your own credits without removing the defaults, you'll be very cool :))
				// Please leave this at the bottom of the page to make sure your blog gets listed on b2evolution.net
				credits( array(
						'list_start' => '&bull;',
						'list_end'   => ' ',
						'separator'  => '&bull;',
						'item_start' => ' ',
						'item_end'   => ' ',
					) );
				?>
				</p>

				<?php
				// Please help us promote b2evolution and leave this logo on your blog:
				powered_by( array(
						'block_start' => '<div class="powered_by">',
						'block_end'   => '</div>',
						// Check /rsc/img/ for other possible images -- Don't forget to change or remove width & height too
						'img_url'    => '$rsc$img/powered-by-b2evolution-120t.gif',
						'img_width'  => 120,
						'img_height' => 32,
					) );
				?>
			</div>
		</footer>
	</div> <!-- .container -->
</div> <!-- .main -->

<?php
// ---------------------------- SITE FOOTER INCLUDED HERE ----------------------------
// If site footers are enabled, they will be included here:
siteskin_include( '_site_body_footer.inc.php' );
// ------------------------------- END OF SITE FOOTER --------------------------------
// ------------------------- HTML FOOTER INCLUDED HERE --------------------------
skin_include( '_html_footer.inc.php' );
// Note: You can customize the default HTML footer by copying the
// _html_footer.inc.php file into the current skin folder.
// ------------------------------- END OF FOOTER --------------------------------
?>